Bug 40591 - restart cups in join script
restart cups in join script
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Printserver
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-0-errata
Assigned To: Felix Botner
Stefan Gohmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 12:11 CET by Felix Botner
Modified: 2016-02-11 13:59 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2016-02-05 12:11:13 CET
During installation we set cups/systemgroup=Printer-Admins,lp. But before the join "Printer-Admins" does not exist and cups is not able to start:

cupsd: Unknown SystemGroup "Printer-Admins lp" on line 25 of /etc/cups/cups-files.conf.
cupsd: Unable to read "/etc/cups/cups-files.conf" due to errors.

During join the group becomes available, but we never restart cups.

* Unjoined slave
* install univention-prinserver
* lpstat -> fail
* join
* lpstat -> still fails (but should work at this point)


==> restart cups in 79univention-printserver.inst
Comment 1 Felix Botner univentionstaff 2016-02-05 13:04:44 CET
add restart.

before
* unjoined slave
* install univention-printserver
* join
* cupsd not running

after
* unjoined slave
* install univention-printserver
* join
* cupsd running

univention-printserver.yaml
Comment 2 Florian Best univentionstaff 2016-02-08 17:38:49 CET
Can you have a look at Bug #40603? In Bug #39112 comment 6 you said that the test should pass if this bug is fixed.
Comment 3 Stefan Gohmann univentionstaff 2016-02-10 06:18:47 CET
Code review: OK

Tests: OK

YAML: OK
Comment 4 Janek Walkenhorst univentionstaff 2016-02-11 13:59:30 CET
<http://errata.software-univention.de/ucs/4.1/109.html>